aboutsummaryrefslogtreecommitdiff
path: root/build-all.sh
diff options
context:
space:
mode:
authorneonloop2021-10-20 14:54:27 +0000
committerneonloop2021-10-20 14:54:27 +0000
commitea1947ffcc606d757357398b24e74a3f4ecefa07 (patch)
tree2031b8d4fc4c61063c710a7148378f57e662efbd /build-all.sh
downloadbennugd-ea1947ffcc606d757357398b24e74a3f4ecefa07.tar.gz
bennugd-ea1947ffcc606d757357398b24e74a3f4ecefa07.tar.bz2
bennugd-ea1947ffcc606d757357398b24e74a3f4ecefa07.zip
Initial commit from steward-fu releasemain
Diffstat (limited to 'build-all.sh')
-rw-r--r--build-all.sh67
1 files changed, 67 insertions, 0 deletions
diff --git a/build-all.sh b/build-all.sh
new file mode 100644
index 0000000..0176981
--- /dev/null
+++ b/build-all.sh
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+rm -Rf bin/*
+
+#./build-android.sh
+#if [ $? -ne 0 ]; then
+# echo "*** ABORT ***"
+# exit 1
+#fi
+
+./build-caanoo.sh release
+if [ $? -ne 0 ]; then
+ echo "*** ABORT ***"
+ exit 1
+fi
+
+./build-dingux-a320.sh release
+if [ $? -ne 0 ]; then
+ echo "*** ABORT ***"
+ exit 1
+fi
+
+./build-openwiz.sh release
+if [ $? -ne 0 ]; then
+ echo "*** ABORT ***"
+ exit 1
+fi
+
+#./build-pandora.sh
+#if [ $? -ne 0 ]; then
+# echo "*** ABORT ***"
+# exit 1
+#fi
+
+#./build-static.sh
+#if [ $? -ne 0 ]; then
+# echo "*** ABORT ***"
+# exit 1
+#fi
+
+./build-win32-cross-opensuse.sh release
+if [ $? -ne 0 ]; then
+ echo "*** ABORT ***"
+ exit 1
+fi
+
+#./build-win32-cross.sh
+#if [ $? -ne 0 ]; then
+# echo "*** ABORT ***"
+# exit 1
+#fi
+
+#./build-win32.sh
+#if [ $? -ne 0 ]; then
+# echo "*** ABORT ***"
+# exit 1
+#fi
+
+./build-linux.sh release
+if [ $? -ne 0 ]; then
+ echo "*** ABORT ***"
+ exit 1
+fi
+
+cd installer
+./make-installers.sh
+cd -